Bug 177071 - HAL can not run its callouts
Summary: HAL can not run its callouts
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-05 23:07 UTC by John (J5) Palmieri
Modified: 2013-03-13 04:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-27 05:54:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John (J5) Palmieri 2006-01-05 23:07:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20051018 Epiphany/1.8.2

Description of problem:
Callout scripts have been moved from /usr/sbin to /usr/share/hal/scripts.  se-linux prevents hal from running anything in /usr/share/hal/scripts.

Version-Release number of selected component (if applicable):
hal-0.5.5.1.cvs20060105

How reproducible:
Always

Steps to Reproduce:
1. Install the new HAL
2. reboot

  

Actual Results:  Hal segfaults when it tries to run one of the scripts and is denied

Expected Results:  Hal runs

Additional info:

Comment 1 Daniel Walsh 2006-01-06 01:02:11 UTC
Fixed in 2.1.7-3



Note You need to log in before you can comment on or make changes to this bug.